local ModName = select(1, ...)
local L = LibStub("AceLocale-3.0"):NewLocale(ModName, "enUS", true)

if not L then return end

---------------------------------
-- Messages shown to the users --
---------------------------------
L["Welcome"]							= "Welcome. Please check you bank to update any items that may be contained within it."
L["Rep Items"]							= "Rep Items"
L["Used for rep hand-ins with"]			= "Used for rep hand-ins with"
L["Version"]							= function(version) return "Version: "..version; end
L["repAmount"]							= function(amount) return "|cffffffff"..amount.."|cffffD100".." reputation"; end
L["repAmount handins"]					= function(amount) return " by ".."|cffffffff"..amount.."|cffffD100".." hand-ins"; end
L["have items"]							= function(amount) return "|cffffD100".."have".." ".."|cffffffff"..amount; end
L["rep name"]							= function(name) return "  |cffffD100\""..name.."\""; end
L["vendor"]								= "(vendor)"
L["Visible Item Options"]				= "Visible Item Options"
L["Show bank items"]					= "Show bank items"
L["Rep Item viewer"]					= "Rep Item viewer"
L["Show minor items"]					= "Show minor items"
L["Show only when there are items"]		= "Show only when there are items"
L["Show count from other characters"]	= "Show count from other characters"
L["Show Minimap Button"]				= "Show minimap button"
L["Button Position"]					= "Button Position"
L["UI Options"]							= "UI Options"
L["UI Scale"]							= "UI Scale"
L["Number Of Columns"]					= "Number Of Columns"
L["Show items in bank"]					= "Show items in bank"
L["Config"]								= "Config"
L["Value to show"]						= "Value to show"
L["Show tooltips"]						= "Show tooltips in inventory"
L["Frame Options"]						= "Frame Options"
L["Quantity"]							= "Quantity"
L["Hand-ins"]							= "Hand-ins"
L["Used in reputation gain with"]		= "|cffffffffUsed in reputation gain with"
L["bags bank items"]					= function(name, bags, bank) return "|cffe0e0e0"..name.." "..bags.. " ("..bank.." Bank)"; end
L["Left-click to toggle window"]		= "Left-click to toggle window"
L["Right-click for options"]			= "Right-click for options"
L["Right-click for drag"]				= "Right-click for drag"

-----------------
-- Reputations --
-----------------
-- I have used this as I didnt think that the names would be the some over diffeent languages 
L["Booty Bay"]						= "Booty Bay"
L["Ironforge"]						= "Ironforge"
L["Gnomeregan"]						= "Gnomeregan"
L["Thorium Brotherhood"]			= "Thorium Brotherhood"
L["Undercity"]						= "Undercity"
L["Darnassus"]						= "Darnassus"
L["Syndicate"]						= "Syndicate"
L["Stormwind"]						= "Stormwind"
L["Orgrimmar"]						= "Orgrimmar"
L["Thunder Bluff"]					= "Thunder Bluff"
L["Bloodsail Buccaneers"]			= "Bloodsail Buccaneers"
L["Gelkis Clan Centaur"]			= "Gelkis Clan Centaur"
L["Magram Clan Centaur"]			= "Magram Clan Centaur"
L["Zandalar Tribe"]					= "Zandalar Tribe"
L["Ravenholdt"]						= "Ravenholdt"
L["Gadgetzan"]						= "Gadgetzan"
L["Ratchet"]						= "Ratchet"
L["The League of Arathor"]			= "The League of Arathor"
L["The Defilers"]					= "The Defilers"
L["Argent Dawn"]					= "Argent Dawn"
L["Darkspear Trolls"]				= "Darkspear Trolls"
L["Timbermaw Hold"]					= "Timbermaw Hold"
L["Everlook"]						= "Everlook"
L["Wintersaber Trainers"]			= "Wintersaber Trainers"
L["Cenarion Circle"]				= "Cenarion Circle"
L["Frostwolf Clan"]					= "Frostwolf Clan"
L["Stormpike Guard"]				= "Stormpike Guard"
L["Hydraxian Waterlords"]			= "Hydraxian Waterlords"
L["Shen'dralar"]					= "Shen'dralar"
L["Warsong Outriders"]				= "Warsong Outriders"
L["Silverwing Sentinels"]			= "Silverwing Sentinels"
L["Darkmoon Faire"]					= "Darkmoon Faire"
L["Brood of Nozdormu"]				= "Brood of Nozdormu"
L["Silvermoon City"]				= "Silvermoon City"
L["Tranquillien"]					= "Tranquillien"
L["Exodar"]							= "Exodar"
L["The Aldor"]						= "The Aldor"
L["The Consortium"]					= "The Consortium"
L["The Scryers"]					= "The Scryers"
L["The Sha'tar"]					= "The Sha'tar"
L["The Mag'har"]					= "The Mag'har"
L["Cenarion Expedition"]			= "Cenarion Expedition"
L["Honor Hold"]						= "Honor Hold"
L["Thrallmar"]						= "Thrallmar"
L["The Violet Eye"]					= "The Violet Eye"
L["Sporeggar"]						= "Sporeggar"
L["Kurenai"]						= "Kurenai"
L["Keepers of Time"]				= "Keepers of Time"
L["The Scale of the Sands"]			= "The Scale of the Sands"
L["Lower City"]						= "Lower City"
L["Ashtongue Deathsworn"]			= "Ashtongue Deathsworn"
L["Netherwing"]						= "Netherwing"
L["Sha'tari Skyguard"]				= "Sha'tari Skyguard"
L["Alliance Vanguard"]				= "Alliance Vanguard"
L["Ogri'la"]						= "Ogri'la"
L["Valiance Expedition"]			= "Valiance Expedition"
L["Horde Expedition"]				= "Horde Expedition"
L["The Taunka"]						= "The Taunka"
L["The Hand of Vengeance"]			= "The Hand of Vengeance"
L["Explorers' League"]				= "Explorers' League"
L["The Kalu'ak"]					= "The Kalu'ak"
L["Shattered Sun Offensive"]		= "Shattered Sun Offensive"
L["Warsong Offensive"]				= "Warsong Offensive"
L["Kirin Tor"]						= "Kirin Tor"
L["The Wyrmrest Accord"]			= "The Wyrmrest Accord"
L["The Silver Covenant"]			= "The Silver Covenant"
L["Knights of the Ebon Blade"]		= "Knights of the Ebon Blade"
L["Frenzyheart Tribe"]				= "Frenzyheart Tribe"
L["The Oracles"]					= "The Oracles"
L["Argent Crusade"]					= "Argent Crusade"
L["The Sons of Hodir"]				= "The Sons of Hodir"
L["The Sunreavers"]					= "The Sunreavers"
L["The Frostborn"]					= "The Frostborn"
L["The Ashen Verdict"]				= "The Ashen Verdict"

-- Cata
L["Baradin's Wardens"]				= "Baradin's Wardens"
L["Dragonmaw Clan"]					= "Dragonmaw Clan"
L["Guardians of Hyjal"]				= "Guardians of Hyjal"
L["Hellscream's Reach"]				= "Hellscream's Reach"
L["Ramkahen"]						= "Ramkahen"
L["The Earthen Ring"]				= "The Earthen Ring"
L["Therazane"]						= "Therazane"
L["Wildhammer Clan"]				= "Wildhammer Clan"
